%include	/usr/lib/rpm/macros.php
%define		_class		Auth
%define		_subclass	RADIUS
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Wrapper Classes for the RADIUS PECL
Summary(pl.UTF-8):	%{_pearname} - Wrapper dla klasy RADIUS PECL
Name:		php-pear-%{_pearname}
Version:	1.0.7
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	af7d3a84ce52ffad3d86a65a3f5f8bf5
URL:		http://pear.php.net/package/Auth_RADIUS/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php(radius) >= 1.2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides wrapper-classes for the RADIUS PECL. There are
different Classes for the different authentication methods. If you are
using CHAP-MD5 or MS-CHAP you need also the Crypt_CHAP package. If you
are using MS-CHAP you need also the mhash extension.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet udostępnia klasy obudowujące RADIUS PECL. Są różne klasy
dla różnych metod uwierzytelniania. Do używania CHAP-MD5 lub MS-CHAP
potrzebny jest także pakiet Crypt_CHAP. Do MS-CHAP potrzebne jest
dodatkowo rozszerzenie mhash.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%changelog
* Sun Jun 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Auth_RADIUS.git;a=log;h=master

* Sun Jun 22 2014 Jan Rękorajski <baggins@pld-linux.org> 3b2787f
- virtual R for pecl-radius
- rel 2

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> d713848
- updated to: 1.0.7

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 6fe1d00
- updated deps with pearize.sh
- release 2

* Fri May 02 2008 Adam Gołębiowski <adamg@pld-linux.org> 734d8e3
- updated to 1.0.6

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 5038a67
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1105da2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a46386a
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 77e2cf8
- 1.0.5

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> cdc2061
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 841db6f
- rel 5 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 33c9c8d
- BR php-pear-PEAR

* Thu Oct 06 2005 Elan Ruusamäe <glen@pld-linux.org> 5577517
- fix radius extension req; rel 4

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 3fd8898
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> fe93407
- unified

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 045c318
- semi automatically added deps from pear

* Mon Sep 19 2005 Elan Ruusamäe <glen@pld-linux.org> ecc6c76
- integer BR

* Mon Sep 19 2005 Elan Ruusamäe <glen@pld-linux.org> 1aea48c
- merged from DEVEL: use new pear packaging system

* Sun Sep 18 2005 Elan Ruusamäe <glen@pld-linux.org> 70ac68f
- reverted (gone to DEVEL)

* Sun Sep 18 2005 Elan Ruusamäe <glen@pld-linux.org> a23a947
- use php-pear-build

* Fri Dec 03 2004 Adam Gołębiowski <adamg@pld-linux.org> 680d5aa
- rebuild with new PEAR provides/requires scripts
- release 2

